<?php
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}


    $title = 'Бонус';

include './system/h.php';

?>

<div class='title'><?=$title?></div>
<div class='line'></div>

<div class='line'></div>
<div class='menu'>
<li align='center'><img src='http://btitan.ru/images/abuh.png' alt='*'/></li>
</div>
<?php

echo "<div class='player center'>
<div class='dot-line'></div>";
$gift = mysql_fetch_assoc(mysql_query("SELECT * FROM `user_podarok` WHERE `user_id` = '$user[id]' order by `last_auth` desc limit 1"));

$time = $gift['last_auth'] + 86400;
$now = time();
echo "<table class='post'>";

if(isset($_GET['take'])){
if ($time < $now) {

echo "<br /><center><b>Поздравляем вы получили свои долгожданые 250 <img width='16' height='16' src='images/icon/gold.png' alt='o'>, 10000 <img width='16' height='16' src='images/icon/silver.png' alt='o'><br>Приятной игры!</b></center></br><br><div class='player center'></div><div class='dot-line'></div>";
mysql_query("UPDATE `users` SET `g` = `g` + '250' WHERE `id` = '$user[id]'");
mysql_query("UPDATE `users` SET `s` = `s` + '10000' WHERE `id` = '$user[id]'");



if(mysql_result(mysql_query("SELECT count(user_id) from `user_podarok` where `user_id` = '".$user['id']."'"),0) == 0){
mysql_query("INSERT INTO `user_podarok` SET `last_auth` = '$now', `stage` = '1', `user_id` = '$user[id]'");
}else{
        mysql_query("UPDATE `user_podarok` SET `last_auth` = '$now', `stage` = `stage` + '1' WHERE `user_id` = '$user[id]'");
}

} else {
echo "</br></br>";
}
}


if ($time < $now) {
echo "<center><b><br>Вы можете забрать свой подарок только один раз в 24 часа!<br>Напоминаем еще раз, подарок можно забрать только один раз в 24 часа.<br><span class='green'>Приятной игры!</span></b><br />
<form action='bonus.php?take' method='post'><br/>
<center><span class='btn'><span class='end'><input class='label' type='submit' name='take' value='Забрать'/>
</form></center>";
} else {
$hour_t = ceil(($time - $now) / 3600);
$min = ceil(($time - $now) / 60);
if ($hour_t == 1 or $hour_t == 21) {
$hour = 'час';
} elseif ($hour_t >= 2 and $hour_t <= 4 or $hour_t >= 22 and $hour_t <= 24) {
$hour = 'часа';
} elseif ($hour_t >= 5 and $hour_t <= 20) {
$hour = 'часов';
}
echo "<center><b>Вы уже получали сегодня свой подарок.</br>Приходите через: <span class='green'>$min</span></b> мин.</b></centet><br><br>";
}
echo "</table>";
include './system/f.php';
?>